VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Macros
voiceprocessor.h File Reference
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include "pluginterfaces/vst/ivstevents.h"`
`#include "base/source/fdebug.h"`
`#include <algorithm>`

## Classes
class | VoiceProcessor
| A Voice Processor class. More...
class | VoiceProcessorImplementation< Precision, VoiceClass, numChannels, maxVoices, GlobalParameterStorage >
| A Simple Voice Processor Implementation supporting note expression events. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Macros
#define | DEBUG_LOG DEVELOPMENT
#define | VOICEPROCESSOR_BLOCKSIZE 32

## Macro Definition Documentation

#define DEBUG_LOG DEVELOPMENT

#define VOICEPROCESSOR_BLOCKSIZE 32

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.